import { defineComponent, toRefs, openBlock, createElementBlock, normalizeStyle, unref, createElementVNode } from "vue";
import "./index.vue_vue_type_style_index_0_scoped_true_lang.mjs";
import _export_sfc from "../../../../_virtual/plugin-vue_export-helper.mjs";
const _hoisted_1 = ["width", "height"];
const _hoisted_2 = ["stroke"];
const _hoisted_3 = ["stroke", "points"];
const _hoisted_4 = ["stroke", "points"];
const _hoisted_5 = ["stroke", "points"];
const _hoisted_6 = ["stroke"];
const _hoisted_7 = ["stroke", "points"];
const _hoisted_8 = ["stroke", "points"];
const _hoisted_9 = ["stroke", "points"];
const __default__ = defineComponent({ name: "EBorder06" });
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const { w, h } = toRefs(props.chartConfig.attr);
    const { colors, backgroundColor } = toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        class: "go-border-box",
        style: normalizeStyle(`
      box-shadow: inset 0 0 40px ${unref(colors)[0]}; 
      border: 1px solid ${unref(colors)[1]};
      background-color: ${unref(backgroundColor)};
    `)
      }, [
        (openBlock(), createElementBlock("svg", {
          width: unref(w),
          height: unref(h)
        }, [
          createElementVNode("polyline", {
            class: "go-border-line-w-2",
            stroke: unref(colors)[0],
            points: `0, 25 0, 0 25, 0`
          }, null, 8, _hoisted_2),
          createElementVNode("polyline", {
            class: "go-border-line-w-2",
            stroke: unref(colors)[0],
            points: `${unref(w) - 25}, 0 ${unref(w)}, 0 ${unref(w)}, 25`
          }, null, 8, _hoisted_3),
          createElementVNode("polyline", {
            class: "go-border-line-w-2",
            stroke: unref(colors)[0],
            points: `${unref(w) - 25}, ${unref(h)} ${unref(w)}, ${unref(h)} ${unref(w)}, ${unref(h) - 25}`
          }, null, 8, _hoisted_4),
          createElementVNode("polyline", {
            class: "go-border-line-w-2",
            stroke: unref(colors)[0],
            points: `0, ${unref(h) - 25} 0, ${unref(h)} 25, ${unref(h)}`
          }, null, 8, _hoisted_5),
          createElementVNode("polyline", {
            class: "go-border-line-w-5",
            stroke: unref(colors)[1],
            points: `0, 10 0, 0 10, 0`
          }, null, 8, _hoisted_6),
          createElementVNode("polyline", {
            class: "go-border-line-w-5",
            stroke: unref(colors)[1],
            points: `${unref(w) - 10}, 0 ${unref(w)}, 0 ${unref(w)}, 10`
          }, null, 8, _hoisted_7),
          createElementVNode("polyline", {
            class: "go-border-line-w-5",
            stroke: unref(colors)[1],
            points: `${unref(w) - 10}, ${unref(h)} ${unref(w)}, ${unref(h)} ${unref(w)}, ${unref(h) - 10}`
          }, null, 8, _hoisted_8),
          createElementVNode("polyline", {
            class: "go-border-line-w-5",
            stroke: unref(colors)[1],
            points: `0, ${unref(h) - 10} 0, ${unref(h)} 10, ${unref(h)}`
          }, null, 8, _hoisted_9)
        ], 8, _hoisted_1))
      ], 4);
    };
  }
});
var _EBorder06 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-7fe75da8"]]);
export { _EBorder06 as default };
